<template>
  <div class="contain">
    <div class="title">新建工单</div>
    <el-form ref="form" :model="form" label-width="10em">
      <el-form-item label="工单标题:">
        <el-input v-model="form.title"></el-input>
      </el-form-item>
      <el-form-item label="告警描述:">
        <el-input
          type="textarea"
          v-model="form.desc"
          placeholder="请输入内容"
          :rows="4"
          maxlength="150"
          show-word-limit
        ></el-input>
      </el-form-item>
      <el-form-item label="告警发生时间:">
        <el-date-picker
          v-model="form.datetime"
          type="datetime"
          placeholder="选择日期时间"
        >
        </el-date-picker>
      </el-form-item>
      <el-form-item label="告警级别:">
        <el-select v-model="form.level" placeholder="请选择">
          <el-option label="一级" value="1"></el-option>
          <el-option label="二级" value="2"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="附件:">
        <el-upload
          class="upload-demo"
          action="/posts/"
          :before-remove="beforeRemove"
          multiple
          :limit="3"
          :on-exceed="handleExceed"
          :file-list="fileList"
        >
          <el-button size="small" type="primary">点击上传</el-button>
          <div slot="tip" class="el-upload__tip">
            只能上传jpg/png文件，且不超过500kb
          </div>
        </el-upload>
      </el-form-item>
      <el-form-item label="T1处理组:">
        <el-select v-model="form.operate" placeholder="请选择">
          <el-option label="一组" value="1"></el-option>
          <el-option label="二组" value="2"></el-option>
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" @click="onSubmit">确认提交</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>

export default {
  name: "",

  data () {
    return {
      form: {
        title: "",
        desc: "",
        datetime: "",
        level: 0,
        fileList: [],
        operate: 0,
      },
    };
  },
  components: {},
  methods: {
    onSubmit () {
      console.log('新建工单');
    },
    beforeRemove () {
      console.log('是否删除。。。');
    },
    handleExceed () {
      console.log('文件个数超过上限');
    }
  },

  mounted () {},
};
</script>

<style scoped>
.contain {
}
.title {
  color: #04409a;
  font-size: 24px;
}
>>> .el-input {
  width: 30em;
}
>>> .el-textarea {
  width: 40em;
}
</style>